/*
 * Minecraft Forge
 * Copyright (c) 2016-2020.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version 2.1
 * of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package net.minecraftforge.fml.client;

import java.util.Set;

import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.GuiScreen;
import net.minecraftforge.fml.client.config.GuiConfig;
import net.minecraftforge.fml.common.ModContainer;

import net.minecraftforge.fml.client.IModGuiFactory.RuntimeOptionCategoryElement;

public class DefaultGuiFactory implements IModGuiFactory
{
    
    protected String modid, title;
    protected Minecraft minecraft;
    
    protected DefaultGuiFactory(String modid, String title)
    {
        this.modid = modid;
        this.title = title;
    }

    @Override
    public boolean hasConfigGui()
    {
        return true;
    }

    @Override
    public void initialize(Minecraft minecraftInstance)
    {
        this.minecraft = minecraftInstance;
    }

    @Override
    public GuiScreen createConfigGui(GuiScreen parentScreen)
    {  
        return new GuiConfig(parentScreen, modid, title);
    }

    @Override
    public Set<RuntimeOptionCategoryElement> runtimeGuiCategories()
    {
        return null;
    }

    public static IModGuiFactory forMod(ModContainer mod)
    {
        return new DefaultGuiFactory(mod.getModId(), mod.getName());
    }
}
